### A free/open-source library for quantitative finance

Public Member Functions
FlatForward Class Reference
Term structures

Flat interest-rate curve. More...

`#include <ql/termstructures/yield/flatforward.hpp>`

Inheritance diagram for FlatForward:
[legend]

List of all members.

## Public Member Functions

Compounding | compounding () const
Frequency | compoundingFrequency () const
Constructors
| FlatForward (const Date &referenceDate, const Handle< Quote > &forward, const DayCounter &dayCounter, Compounding compounding=Continuous, Frequency frequency=Annual)
| FlatForward (const Date &referenceDate, Rate forward, const DayCounter &dayCounter, Compounding compounding=Continuous, Frequency frequency=Annual)
| FlatForward (Natural settlementDays, const Calendar &calendar, const Handle< Quote > &forward, const DayCounter &dayCounter, Compounding compounding=Continuous, Frequency frequency=Annual)
| FlatForward (Natural settlementDays, const Calendar &calendar, Rate forward, const DayCounter &dayCounter, Compounding compounding=Continuous, Frequency frequency=Annual)
TermStructure interface
Date | maxDate () const
| the latest date for which the curve can return values
Observer interface
void | update ()

## Detailed Description

Flat interest-rate curve.

Examples:
  BermudanSwaption.cpp, CallableBonds.cpp, CDS.cpp, ConvertibleBonds.cpp, DiscreteHedging.cpp, EquityOption.cpp, Replication.cpp, and Repo.cpp.

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.